> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Collection Schema

> Update the schema of a collection.



## OpenAPI

````yaml /openapi/product/appdb.yaml put /api/datastores/v1/collections/{collectionId}
openapi: 3.0.0
info:
  title: App DB API
  version: v1
  description: |
    The App DB API allows developers to interact with AppDB, a NoSQL database 
    for storing arbitrary JSON documents. This API supports CRUD operations, 
    querying, and aggregation, enabling developers to manage data efficiently 
    within their Domo applications.
servers:
  - url: https://{instance}.domo.com
    description: Domo Instance
    variables:
      instance:
        default: api
        description: Your specific Domo instance name (e.g., mycompany)
security:
  - developerToken: []
tags:
  - name: Documents
    description: Manage individual documents in an AppDB collection.
  - name: Collections
    description: Manage AppDB collections (schema, permissions).
paths:
  /api/datastores/v1/collections/{collectionId}:
    put:
      tags:
        - App DB API (Product)
      summary: Update Collection Schema
      description: Update the schema of a collection.
      parameters:
        - name: collectionId
          in: path
          required: true
          schema:
            type: string
          description: The ID of the collection to update.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CollectionSchemaRequest'
      responses:
        '200':
          description: OK
components:
  schemas:
    CollectionSchemaRequest:
      type: object
      properties:
        schema:
          type: object
          properties:
            columns:
              type: array
              items:
                $ref: '#/components/schemas/CollectionColumn'
        syncEnabled:
          type: boolean
    CollectionColumn:
      type: object
      properties:
        type:
          type: string
          enum:
            - STRING
            - LONG
            - DECIMAL
            - DOUBLE
            - DATE
            - DATETIME
        name:
          type: string
        visible:
          type: boolean
  securitySchemes:
    developerToken:
      type: apiKey
      in: header
      name: X-DOMO-Developer-Token
      description: Domo Developer Token for authentication.

````